Bug 1021091 - Review Request: dnsyo - Check DNS against many global DNS servers
Review Request: dnsyo - Check DNS against many global DNS servers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 06:15 EDT by Ricky Elrod
Modified: 2013-11-25 23:08 EST (History)
4 users (show)

See Also:
Fixed In Version: dnsyo-1.1.4-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 03:04:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ricky Elrod 2013-10-19 06:15:29 EDT
Spec URL: http://fedorapeople.org/~codeblock/packages/dnsyo/dnsyo.spec
SRPM URL: http://fedorapeople.org/~codeblock/packages/dnsyo/dnsyo-1.0.2-1.fc20.src.rpm
Description:
Query over 1500 global DNS servers and colate their results.
Track the propagation of your domains around the world.
Fedora Account System Username: codeblock
Comment 2 Björn 'besser82' Esser 2013-10-19 06:54:38 EDT
taken  ;)
Comment 3 Björn 'besser82' Esser 2013-10-19 07:01:50 EDT
FTBFS on rawhide!!!  :(

+ umask 022
+ cd /builddir/build/BUILD
+ cd dnsyo-1.0.2
+ /usr/bin/python setup.py build
Traceback (most recent call last):
  File "setup.py", line 27, in <module>
    from setuptools import setup, find_packages
ImportError: No module named setuptools

---> You should add BuildRequires: python2-devel && python-setuptools.

#####

Please update and I'll run another review.
Comment 4 Ricky Elrod 2013-10-19 08:00:56 EDT
Whoops! Fixed. Thanks for taking this! :)

Spec URL: http://fedorapeople.org/~codeblock/packages/dnsyo/dnsyo.spec
SRPM URL: http://fedorapeople.org/~codeblock/packages/dnsyo/dnsyo-1.0.2-3.fc20.src.rpm
Comment 6 Björn 'besser82' Esser 2013-10-19 09:03:44 EDT
Package LGTM, now.  :)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

     ---> No seperated LICENSE.txt in tarball, but files contain proper
          LICENSE-boilerplate.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)". Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/1021091-dnsyo/licensecheck.txt

     ---> License-tag is fine.  :)

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

     ---> ask upstream to provide a LICENSE.txt within next release.

[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.

     ---> No seperated LICENSE.txt in tarball, but files contain proper
          LICENSE-boilerplate.

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

     ---> no testsuite available.

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dnsyo-1.0.2-4.fc21.noarch.rpm
          dnsyo-1.0.2-4.fc21.src.rpm
dnsyo.noarch: W: spelling-error %description -l en_US colate -> locate, collate, co late
dnsyo.src: W: spelling-error %description -l en_US colate -> locate, collate, co late
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

---> Fix that spelling-error, please.


Rpmlint (installed packages)
----------------------------
# rpmlint dnsyo
dnsyo.noarch: W: spelling-error %description -l en_US colate -> locate, collate, co late
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
dnsyo (rpmlib, GLIBC filtered):
    /usr/bin/python
    PyYAML
    python(abi)
    python-dns
    python-requests



Provides
--------
dnsyo:
    dnsyo



Source checksums
----------------
https://pypi.python.org/packages/source/d/dnsyo/dnsyo-1.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : 3966b04dbbf559fd7ab8cf844402b0888c97b5f04a39b7d7c6af0f3a45db486b
  CHECKSUM(SHA256) upstream package : 3966b04dbbf559fd7ab8cf844402b0888c97b5f04a39b7d7c6af0f3a45db486b


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1021091
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!
Comment 7 Ricky Elrod 2013-10-19 18:26:36 EDT
New Package SCM Request
=======================
Package Name: dnsyo
Short Description: Check DNS against many global DNS servers
Owners: codeblock
Branches: f19 f20 el6
InitialCC:
Comment 8 Ricky Elrod 2013-10-19 18:27:07 EDT
(And thanks for the review!)
Comment 9 Gwyn Ciesla 2013-10-20 21:40:48 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-10-21 02:23:33 EDT
dnsyo-1.0.2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnsyo-1.0.2-4.fc20
Comment 11 Fedora Update System 2013-10-21 02:57:08 EDT
dnsyo-1.0.2-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnsyo-1.0.2-5.fc20
Comment 12 Fedora Update System 2013-10-21 03:21:28 EDT
dnsyo-1.0.2-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dnsyo-1.0.2-5.el6
Comment 13 Fedora Update System 2013-10-21 03:30:37 EDT
dnsyo-1.0.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dnsyo-1.0.2-5.fc19
Comment 14 Fedora Update System 2013-10-21 12:44:57 EDT
dnsyo-1.0.2-5.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 15 Fedora Update System 2013-10-26 14:54:09 EDT
dnsyo-1.1.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dnsyo-1.1.3-2.fc19
Comment 16 Fedora Update System 2013-10-26 15:11:35 EDT
dnsyo-1.1.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnsyo-1.1.3-2.fc20
Comment 17 Fedora Update System 2013-10-26 15:17:09 EDT
dnsyo-1.1.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dnsyo-1.1.3-2.el6
Comment 18 Fedora Update System 2013-10-30 22:59:39 EDT
dnsyo-1.1.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-11-07 20:31:10 EST
dnsyo-1.1.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnsyo-1.1.4-2.fc20
Comment 20 Fedora Update System 2013-11-07 20:39:41 EST
dnsyo-1.1.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dnsyo-1.1.4-2.el6
Comment 21 Fedora Update System 2013-11-08 12:58:04 EST
Package dnsyo-1.1.4-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing dnsyo-1.1.4-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12059/dnsyo-1.1.4-2.el6
then log in and leave karma (feedback).
Comment 22 Fedora Update System 2013-11-10 03:04:22 EST
dnsyo-1.0.2-5.fc20 has been pushed to the Fedora 20 stable repository.
Comment 23 Fedora Update System 2013-11-25 15:12:22 EST
dnsyo-1.1.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2013-11-25 23:08:55 EST
dnsyo-1.1.4-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.